%define _enable_debug_packages %{nil}
%define debug_package          %{nil}


%define major	1
%define libname	%mklibname capplet %{major}

Summary:	Library for GNOME control-center
Name:		libcapplet
Version:	1.5.11
Release:	%mkrel 9
Source0:	ftp://ftp.gnome.org/pub/GNOME/unstable/source/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.5.8-1mdk fix name of po files
Patch0:		libcapplet-1.5.11-poname.patch.bz2
# (gb) 1.5.11-8mdk libtool fixes, don't bother with aclocal
Patch1:		libcapplet-1.5.11-libtool.patch.bz2
License:	GPL
Url:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig >= 0.8 bonobo-devel gnome-libs-devel flex bison autoconf2.1
Conflicts:	control-center < 1.5.11 gnome-core < 1.4.0.6-1mdk gnome-pilot < 0.1.64-3mdk xalf < 0.12-3mdk

%description
%{name} originally belongs to GNOME control-center,
and is a library necessary for 'capplets', which means different
modules for control-center. It has been splitted off from
control-center as a package of its own.

%package -n	%{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version} 
Requires:	common-licenses

%description -n	%{libname}
%{name} originally belongs to GNOME control-center,
and is a library necessary for 'capplets', which means different
modules for control-center. It has been splitted off from
control-center as a package of its own.

This package contains the main libraries necessary to run capplets.

%package -n	%{libname}-devel
Summary:	Development files for capplet library
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}
Provides:	control-center-devel = %{version}
Provides:	gnome-control-center-devel = %{version}
Obsoletes:	%{name}-devel
Obsoletes:	control-center-devel
Obsoletes:	gnome-control-center-devel
Requires:	%{libname} = %{version}
Requires:	gnome-libs-devel

%description -n	%{libname}-devel
If you're interested in developing capplets for the GNOME
control center, you'll want to install this package. It contains
static library and header files for %{name}. You need this
package too for compiling any capplets.

%prep
%setup -q
%patch0 -p1 -b .poname
%patch1 -p1 -b .libtool
# needed by patches 0 & 1
autoconf

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

%{find_lang} %{name}%{major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname} -f %{name}%{major}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc README ChangeLog AUTHORS 
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*

%changelog
* Thu Oct 26 2006 Texstar <texstar@houston.rr.com>
- initial build for pclinuxos 2007

